summaryrefslogtreecommitdiffstats
path: root/trunk/testsuite/reloc9.sh
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/testsuite/reloc9.sh')
-rwxr-xr-xtrunk/testsuite/reloc9.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/trunk/testsuite/reloc9.sh b/trunk/testsuite/reloc9.sh
index a835f89..8c48fa7 100755
--- a/trunk/testsuite/reloc9.sh
+++ b/trunk/testsuite/reloc9.sh
@@ -1,11 +1,13 @@
#!/bin/bash
. `dirname $0`/functions.sh
# Disable this test under SELinux
-if test -x /usr/sbin/getenforce; then
+if [ "x$CROSS" = "x" ]; then
+ if test -x /usr/sbin/getenforce; then
case "`/usr/sbin/getenforce 2>/dev/null`" in
Permissive|Disabled) ;;
*) exit 77 ;;
esac
+ fi
fi
rm -f reloc9 reloc9lib*.so reloc9.log
rm -f prelink.cache
@@ -22,7 +24,9 @@ savelibs
echo $PRELINK ${PRELINK_OPTS--vm} ./reloc9 > reloc9.log
$PRELINK ${PRELINK_OPTS--vm} ./reloc9 >> reloc9.log 2>&1 || exit 1
grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` reloc9.log && exit 2
-LD_LIBRARY_PATH=. ./reloc9 >> reloc9.log || exit 3
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./reloc9 >> reloc9.log || exit 3
+fi
readelf -a ./reloc9 >> reloc9.log 2>&1 || exit 4
# So that it is not prelinked again
chmod -x ./reloc9